%define commit fa680bbbc7db62a166f502ca7f3eeb0185b41097
Name:           atinject
Version:        1
Release:        31
Summary:        Java API for JSR-330 Dependency Injection
License:        ASL 2.0
URL:            https://github.com/svn2github/atinject/
BuildArch:      noarch
Source0:        https://github.com/svn2github/atinject/archive/f680bb.zip#/atinject-%{version}.zip
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires:  javapackages-local java-devel junit
Patch0001:      atinject-target-1.5.patch

%description
AtInject is the Java API build by the JSR-330.It's a set
of API aiming to standardize an extensible dependency
injection paradigm, as those provided by Guice, Spring or
Plexus projects.

%package        devel
Summary:        Testing atinject compatibility with JSR-330
Requires:       atinject = %{version}-%{release} junit
Provides:       atinject-tck = %{version}-%{release}
Obsoletes:      atinject-tck < %{version}-%{release}

%description    devel
Testing atinject compatibility with JSR-330

%package        help
Summary:        API documentation for atinject
Provides:       atinject-javadoc = %{version}-%{release}
Obsoletes:      atinject-javadoc < %{version}-%{release}
%description    help
API documentation for atinject.

%prep
%autosetup -p1 -n %{name}-%{commit}
cp %{SOURCE1} LICENSE
rm -rf ./lib/*
rm -rf ./javadoc/*
build-jar-repository -p lib junit
sed -i -e 's/pom\.groupId/project.groupId/' tck-pom.xml
%mvn_file :javax.inject atinject javax.inject/atinject
%mvn_file :javax.inject-tck atinject-tck
%mvn_package :javax.inject-tck tck

%build
set -e
alias rm=: xargs=: javadoc='javadoc -Xdoclint:none'
source ./build.sh
touch MANIFEST.MF
cat >MANIFEST.MF<<EOF
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Atinject Dependency Injection Annotations
Bundle-SymbolicName: javax.inject
Bundle-Version: 1.0.0.v20091030
Bundle-ClassPath: .
Bundle-Vendor: Eclipse.org
Bundle-Localization: plugin
Export-Package: javax.inject;version="1.0.0"
Bundle-RequiredExecutionEnvironment: J2SE-1.5
JavaPackages-GroupId: javax.inject
JavaPackages-ArtifactId: javax.inject
JavaPackages-Version: 1

EOF
jar umf ./MANIFEST.MF build/dist/javax.inject.jar
touch  MANIFEST-TCK.MF
cat >MANIFEST-TCK.MF<<EOF
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Tck
Bundle-SymbolicName: com.google.code.atinject.tck
Bundle-Version: 1.0.0
Bundle-Vendor: GOOGLE
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.junit;bundle-version="3.8.2"
Export-Package: org.atinject.tck,
 org.atinject.tck.auto;x-internal:=true,
 org.atinject.tck.auto.accessories;x-internal:=true
Import-Package: javax.inject;version="1.0.0"
JavaPackages-GroupId: javax.inject
JavaPackages-ArtifactId: javax.inject-tck
JavaPackages-Version: 1.1.SNAPSHOT
EOF
jar umf ./MANIFEST-TCK.MF build/tck/dist/javax.inject-tck.jar
%mvn_artifact pom.xml build/dist/javax.inject.jar
%mvn_artifact tck-pom.xml build/tck/dist/javax.inject-tck.jar
mv build/tck/javadoc build/javadoc/tck

%install
%mvn_install -J build/javadoc

%files -f .mfiles
%doc LICENSE

%files devel -f .mfiles-tck

%files help  -f .mfiles-javadoc

%changelog
* Mon Jan 4 2021 Ge Wang<wangge20@huawei.com> - 1-31
- Modify homepage url and source url

* Wed Dec 4 2019 likexin<likexin4@huawei.com> - 1-30.20100611svn86
- Pakcage init
